%define module   Parse-Method-Signatures
%define version  1.003003
%define release  %mkrel 1

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Turn parse TC data into Moose TC object
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Parse/%{module}-%{version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Traits)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(PPI)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::clean)
Requires: perl(MooseX::Traits)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Inspired by the Perl6::Signature manpage but streamlined to just support
the subset deemed useful for the TryCatch manpage and the
MooseX::Method::Signatures manpage.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/Parse



%changelog
* Wed Mar 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003003-1mdv2009.1
+ Revision: 357183
- update to new version 1.003003

* Fri Mar 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003002-1mdv2009.1
+ Revision: 349680
- update to new version 1.003002

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003000-1mdv2009.1
+ Revision: 348641
- update to new version 1.003000

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.002000-2mdv2009.1
+ Revision: 343994
- fix dependencies

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.002000-1mdv2009.1
+ Revision: 343981
- import perl-Parse-Method-Signatures


* Sun Feb 22 2009 cpan2dist 1.002000-1mdv
- initial mdv release, generated with cpan2dist
